/// class PD.Manage.Modules.Rules.RulesetsToolbar
// using PD.Web.UI.Controls.Control

PD.Manage.Modules.Rules.RulesetsToolbar =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:rule-script/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:rule-script/properties-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:rule-script/open"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:rule-script/delete"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:package/upload-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/rulesets:package/download"
        }));

    }

});